GET api/InternalApp/GetsurplusProducts?list={list}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| list | string |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of SurplusModel| Name | Description | Type | Additional information |
|---|---|---|---|
| productID | integer |
None. |
|
| colour | integer |
None. |
|
| capacity | integer |
None. |
|
| manufacture | integer |
None. |
|
| brand | integer |
None. |
|
| expiry | date |
None. |
|
| productQtyId | integer |
None. |
|
| packageID | integer |
None. |
|
| qty | integer |
None. |
|
| productInfo | ProductSummary |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"productID": 1,
"colour": 2,
"capacity": 3,
"manufacture": 4,
"brand": 5,
"expiry": "2026-03-11T04:41:37.3255601+00:00",
"productQtyId": 6,
"packageID": 7,
"qty": 8,
"productInfo": {
"$id": "2",
"name": "sample string 1",
"status": "sample string 2",
"brand": 3,
"brandName": "sample string 4",
"condition": 5,
"conditionName": "sample string 6",
"category": 7,
"categoryName": "sample string 8"
}
},
{
"$ref": "1"
}
]